/* oswald-300 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 300;
    src: url('../fonts/oswald-v53-latin-300.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
  }
  /* oswald-regular - latin */
  @font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/oswald-v53-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
  }
  /* oswald-500 - latin */
  @font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 500;
    src: url('../fonts/oswald-v53-latin-500.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
  }
  /* oswald-600 - latin */
  @font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 600;
    src: url('../fonts/oswald-v53-latin-600.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
  }
  /* oswald-700 - latin */
  @font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 700;
    src: url('../fonts/oswald-v53-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
  }

/* open-sans-regular - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/open-sans-v40-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
  }


:root {
    --gold-dark:#C69320;
    --gold-light:#EEB609;
    --grey-text:#cecece;
    --header-title:'Oswald';
    --black-light:#2E2E2E;
}

@supports ( -webkit-touch-callout : none) {
    .html{
    background-attachment:scroll;
    background-size: auto 100vh;
    }
}
    
@supports not ( -webkit-touch-callout : none) {
    .html {
    background-attachment: fixed;
    background-size: auto 100vh;
    }
}

html {
    font-family:'Open Sans';
    font-size: 1rem;
    line-height: 1.6;
    color: var(--grey-text);
}

body:after{
    content:"";
    position:fixed; /* stretch a fixed position to the whole screen */
    top:0;
    height:100vh; /* fix for mobile browser address bar appearing disappearing */
    left:0;
    right:0;
    z-index:-1; /* needed to keep in the background */
    background: url('../images/friseuer-burak-bg.jpg') center center;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

h1,h2,h3,h4,h5,h6,.uk-h3,.uk-h4,.uk-h5,.uk-h6{
    color:var(--gold-light);
    font-family: var(--header-title);
    font-weight: 600;
}

.link, a {
    color:var(--gold-dark);
}
.uk-label {
    background: var(--gold-light);
}

.uk-modal-dialog {
    background: var(--black-light);
}

.uk-card-default {
    position: relative;
    background-color: transparent; /* Inner background */
    color: var(--grey-text);
    border-radius: 4px; /* Rounded corners */
    padding: 10px; /* Adjust to avoid content overlapping */
    z-index: 0;
}

.uk-card-default::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: 4px; /* Matches the border radius */
    padding: 4px; /* Border width */
    background: linear-gradient(90deg, #eeb609, #c69320); /* Gradient */
    -webkit-mask: 
      linear-gradient(#fff 0 0) content-box, 
      linear-gradient(#fff 0 0); /* Mask for inner area */
    -webkit-mask-composite: destination-out;
    mask-composite: exclude; /* Ensures inner area is transparent */
    z-index: -1; /* Places behind the content */
}

.uk-text-meta {
    color:var(--grey-text);
}

.uk-sticky.uk-active {
    background-color:var(--black-light)!important;
}

.uk-navbar-container:not(.uk-navbar-transparent).uk-sticky.uk-active  {
    padding: 5px;
}

.uk-sticky.uk-active .uk-logo {
    width:82px;
    height:82px;
}

.uk-navbar-item, .uk-navbar-nav>li>a, .uk-navbar-toggle {
    min-height:60px;
}

.uk-navbar-nav>li>a {
    font-family:"Oswald";
    font-weight: 600;
    font-size: 1.125rem;
    color:var(--grey-text);
}

.uk-navbar-nav > li > a:active,
.uk-navbar-nav > li > a:hover,
.uk-navbar-nav > li > a:focus,
.uk-navbar-nav > li.uk-active > a {
    color:var(--gold-light);
}

.uk-navbar-container:not(.uk-navbar-transparent) {
    background:transparent;
    margin-top:0!important;
    padding:15px;
}

.uk-panel,.goldborder {
    padding: 8px;
    background: linear-gradient(90deg, #eeb609, #c69320);
    border-radius:8px;
}

.uk-panel img { 
border-radius:8px;
}

.uk-navbar-right a.uk-margin-right.uk-icon, .uk-navbar-toggle {
    color:var(--gold-light);
}

.uk-navbar-right .uk-icon {
    padding: 4px;
    border: 1px solid #ccc;
}

.uk-light .uk-dotnav > * > * {
    border-color:var(--gold-light);
}

.uk-light .uk-dotnav > .uk-active > * {
    background-color:var(--gold-light);
}

.slider {
    padding-bottom: 35px;
}

.bewertungen, .fotos, .preise, .ueber-uns{
    padding-top: 70px;
    padding-bottom: 70px;
}

.contact {
    padding-top: 70px;
}

.bewertungen h3, .contact .uk-h3, .fotos h3, .preise h3 {
  color:var(--grey-text);
  font-weight: 400;
}

img.icon-messer {
    filter: none!important;

}

section#fotos img:hover {
    -webkit-filter: grayscale(0);
    filter: grayscale(0);
}

section#fotos img {
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
}

section#fotos .uk-grid > * {
    padding-left: 1px;
}

section#fotos * + .uk-grid-margin,
section#fotos .uk-grid + .uk-grid,
section#fotos .uk-grid > .uk-grid-margin {
    margin-top: 1px;
    margin-bottom: 1px;
}

.contact {
    padding-top: 50px;
}

.contact .uk-card-body {
    padding: 20px;
}

.footer {
    background: #222324;
    padding-top: 50px;
    padding-bottom: 50px;
}

.uk-subnav>*>:first-child {
    font-family:var(--header-title);
    text-transform: none;
    font-size: 1rem;
}

h4.cky-consent-title {
    color: #ccc;
}

.uk-offcanvas-bar {
    background:var(--black-light);
    padding: 20px 0;
    color: var(--grey-text);
}

.uk-offcanvas-overlay::before {
    background: rgba(0, 0, 0, 0.41);
}

.uk-offcanvas-bar .uk-close {
    color:var(--grey-text);
}

.uk-offcanvas-bar .uk-close:focus, .uk-offcanvas-bar .uk-close:hover {
    color:var(--grey-text);
}

.uk-offcanvas-bar .uk-nav-primary > li > a, .uk-offcanvas-bar a {
    color: var(--grey-text);
    border-bottom: 1px solid #3e3e3e;
    padding: 8px 20px;
    font-family: var(--header-title);
}

.uk-offcanvas-bar .uk-nav-primary > li:last-child a {
    border-bottom: none;
}

.uk-offcanvas-bar .uk-nav-primary > li > a:focus, .uk-offcanvas-bar .uk-nav-primary > li > a:hover,
.uk-offcanvas-bar .uk-nav-primary>li.uk-active>a {
    color:var(--gold-light);
}

/* Macht die Karte grau */
.gray-map {
    filter: grayscale(100%) invert(5%) contrast(90%);
    -webkit-filter: grayscale(100%) invert(5%) contrast(90%); /* Für Safari */
    transition: filter 0.5s ease; /* Optional: Weicher Übergang beim Hover */
}

/* Optional: Karte wird farbig, wenn man mit der Maus drüberfährt */
.gray-map:hover {
    filter: grayscale(0%);
    -webkit-filter: grayscale(0%);
}

/* MOBILE DEVICE
****************************************************/

a.uk-navbar-item.uk-logo.uk-hidden\@m {
    margin-top: 30px;
}

nav.uk-navbar-container.uk-margin.uk-navbar.uk-sticky.uk-sticky-fixed.uk-active.uk-sticky-below .uk-logo{
    width: 60px;
    height: 60px;
    margin-top: 0;

}

/* Smartphones */
@media (max-width: 480px) {
    .uk-panel {
        padding: 6px;
        border-radius:6px;
    }
    
    .uk-panel img { 
        border-radius:6px;
    }
    .slider {
        padding-top:70px;
    }
    .ueberunsh1{
        text-align: center;
    }
}

/* Smartphones to Tablets */
@media (min-width: 481px) and (max-width: 767px) {}

/* Tablets */
@media (min-width: 768px) and (max-width: 959px) {}

/* Desktop */
@media (min-width: 960px) and (max-width: 1199px) {}

/* Large Display */
@media (min-width: 1200px) {}